org.eclipse.microprofile.metrics.tck.cdi

## Class SimpleTimerInjectionBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.cdi.SimpleTimerInjectionBeanTest

    public class SimpleTimerInjectionBeanTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SimpleTimerInjectionBeanTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `callSimplyTimedMethodOnce()`
`void` `simplyTimedMethodNotCalledYet()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleTimerInjectionBeanTest

    public SimpleTimerInjectionBeanTest()

### Method Detail

#### simplyTimedMethodNotCalledYet

    @InSequence(value=1)
    public void simplyTimedMethodNotCalledYet()

#### callSimplyTimedMethodOnce

    @InSequence(value=2)
    public void callSimplyTimedMethodOnce()
                                                        throws InterruptedException

Throws:
  `InterruptedException`